{ pkgs
, config
, inputs
, system
, lib
, ...
}:

let
  desktop = import ../home-mods/desktop {
    inherit pkgs;
    inherit config;
    inherit inputs;
  };
in
{
  imports = [
    ../home-mods/common
    # ../home-mods/desktop
    ../home-mods/dev
    ../home-mods/firefox
    ../home-mods/plasma
    ../home-mods/virt
    ../home-mods/shell
  ];

  config = pkgs.lib.mkMerge [
    {
      home = {
        username = "tristand";

        stateVersion = "23.05";
      };
    }
    desktop
  ];
}
